git.cweiske.de
/
ouya-game-data.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
de3a360
)
Script to validate game files
author
Christian Weiske
<
[email protected]
>
Mon, 11 Nov 2019 15:00:14 +0000
(16:00 +0100)
committer
Christian Weiske
<
[email protected]
>
Mon, 11 Nov 2019 15:00:14 +0000
(16:00 +0100)
bin/validate-game.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/bin/validate-game.sh
b/bin/validate-game.sh
new file mode 100755
(executable)
index 0000000..
7855a8c
--- /dev/null
+++ b/
bin/validate-game.sh
@@ -0,0
+1,5
@@
+#!/bin/sh
+# Validate an OUYA game schema file with several validators
+set -e
+jsonschema -i "$1" ouya-game.schema.json
+validate-json "$1" ouya-game.schema.json